package com.zztrapp.zztrapp.bean;

import java.io.Serializable;
import java.util.List;

/**
 * Describe 土壤污染地块
 * Created by Bby on 2022/7/17
 * Email bby0856@163.com
 */
public class WrdkPageListBean {

   private List<RecordsBean> records;
   private Integer total;
   private Integer size;
   private Integer current;
   private List<?> orders;
   private Boolean optimizeCountSql;
   private Boolean searchCount;
   private Object countId;
   private Object maxLimit;
   private Integer pages;

   public List<RecordsBean> getRecords() {
      return records;
   }

   public void setRecords(List<RecordsBean> records) {
      this.records = records;
   }

   public Integer getTotal() {
      return total;
   }

   public void setTotal(Integer total) {
      this.total = total;
   }

   public Integer getSize() {
      return size;
   }

   public void setSize(Integer size) {
      this.size = size;
   }

   public Integer getCurrent() {
      return current;
   }

   public void setCurrent(Integer current) {
      this.current = current;
   }

   public List<?> getOrders() {
      return orders;
   }

   public void setOrders(List<?> orders) {
      this.orders = orders;
   }

   public Boolean getOptimizeCountSql() {
      return optimizeCountSql;
   }

   public void setOptimizeCountSql(Boolean optimizeCountSql) {
      this.optimizeCountSql = optimizeCountSql;
   }

   public Boolean getSearchCount() {
      return searchCount;
   }

   public void setSearchCount(Boolean searchCount) {
      this.searchCount = searchCount;
   }

   public Object getCountId() {
      return countId;
   }

   public void setCountId(Object countId) {
      this.countId = countId;
   }

   public Object getMaxLimit() {
      return maxLimit;
   }

   public void setMaxLimit(Object maxLimit) {
      this.maxLimit = maxLimit;
   }

   public Integer getPages() {
      return pages;
   }

   public void setPages(Integer pages) {
      this.pages = pages;
   }

   public static class RecordsBean implements Serializable {
      private Integer wrdkid;
      private String wrdkbm;
      private String wrdkmc;
      private String bz;
      private Integer pollueted;
      private String scjdbm;
      private String countryCode;
      private String type;
      private String hylb;
      private String hydm;
      private String createTsamp;
      private Integer tcwr;
      private Integer isSuspect;
      private String hyml;
      private String hyzl;
      private String hyxl;
      private Integer dclx;
      private String faliYiju;
      private String faliErji;
      private String faliejQt;
      private String gzlx;
      private String gzlxQt;
      private String gzfw;
      private String gzfwQt;
      private String mlbs;
      private String dkdcbglj;
      private String zbsm;
      private Double wrdkzxjd;
      private Double wrdkzxwd;

      public Integer getWrdkid() {
         return wrdkid;
      }

      public void setWrdkid(Integer wrdkid) {
         this.wrdkid = wrdkid;
      }

      public String getWrdkbm() {
         return wrdkbm;
      }

      public void setWrdkbm(String wrdkbm) {
         this.wrdkbm = wrdkbm;
      }

      public String getWrdkmc() {
         return wrdkmc;
      }

      public void setWrdkmc(String wrdkmc) {
         this.wrdkmc = wrdkmc;
      }

      public String getBz() {
         return bz;
      }

      public void setBz(String bz) {
         this.bz = bz;
      }

      public Integer getPollueted() {
         return pollueted;
      }

      public void setPollueted(Integer pollueted) {
         this.pollueted = pollueted;
      }

      public String getScjdbm() {
         return scjdbm;
      }

      public void setScjdbm(String scjdbm) {
         this.scjdbm = scjdbm;
      }

      public String getCountryCode() {
         return countryCode;
      }

      public void setCountryCode(String countryCode) {
         this.countryCode = countryCode;
      }

      public String getType() {
         return type;
      }

      public void setType(String type) {
         this.type = type;
      }

      public String getHylb() {
         return hylb;
      }

      public void setHylb(String hylb) {
         this.hylb = hylb;
      }

      public String getHydm() {
         return hydm;
      }

      public void setHydm(String hydm) {
         this.hydm = hydm;
      }

      public String getCreateTsamp() {
         return createTsamp;
      }

      public void setCreateTsamp(String createTsamp) {
         this.createTsamp = createTsamp;
      }

      public Integer getTcwr() {
         return tcwr;
      }

      public void setTcwr(Integer tcwr) {
         this.tcwr = tcwr;
      }

      public Integer getIsSuspect() {
         return isSuspect;
      }

      public void setIsSuspect(Integer isSuspect) {
         this.isSuspect = isSuspect;
      }

      public String getHyml() {
         return hyml;
      }

      public void setHyml(String hyml) {
         this.hyml = hyml;
      }

      public String getHyzl() {
         return hyzl;
      }

      public void setHyzl(String hyzl) {
         this.hyzl = hyzl;
      }

      public String getHyxl() {
         return hyxl;
      }

      public void setHyxl(String hyxl) {
         this.hyxl = hyxl;
      }

      public Integer getDclx() {
         return dclx;
      }

      public void setDclx(Integer dclx) {
         this.dclx = dclx;
      }

      public String getFaliYiju() {
         return faliYiju;
      }

      public void setFaliYiju(String faliYiju) {
         this.faliYiju = faliYiju;
      }

      public String getFaliErji() {
         return faliErji;
      }

      public void setFaliErji(String faliErji) {
         this.faliErji = faliErji;
      }

      public String getFaliejQt() {
         return faliejQt;
      }

      public void setFaliejQt(String faliejQt) {
         this.faliejQt = faliejQt;
      }

      public String getGzlx() {
         return gzlx;
      }

      public void setGzlx(String gzlx) {
         this.gzlx = gzlx;
      }

      public String getGzlxQt() {
         return gzlxQt;
      }

      public void setGzlxQt(String gzlxQt) {
         this.gzlxQt = gzlxQt;
      }

      public String getGzfw() {
         return gzfw;
      }

      public void setGzfw(String gzfw) {
         this.gzfw = gzfw;
      }

      public String getGzfwQt() {
         return gzfwQt;
      }

      public void setGzfwQt(String gzfwQt) {
         this.gzfwQt = gzfwQt;
      }

      public String getMlbs() {
         return mlbs;
      }

      public void setMlbs(String mlbs) {
         this.mlbs = mlbs;
      }

      public String getDkdcbglj() {
         return dkdcbglj;
      }

      public void setDkdcbglj(String dkdcbglj) {
         this.dkdcbglj = dkdcbglj;
      }

      public String getZbsm() {
         return zbsm;
      }

      public void setZbsm(String zbsm) {
         this.zbsm = zbsm;
      }

      public Double getWrdkzxjd() {
         return wrdkzxjd;
      }

      public void setWrdkzxjd(Double wrdkzxjd) {
         this.wrdkzxjd = wrdkzxjd;
      }

      public Double getWrdkzxwd() {
         return wrdkzxwd;
      }

      public void setWrdkzxwd(Double wrdkzxwd) {
         this.wrdkzxwd = wrdkzxwd;
      }
   }
}
